Skip to content

IP-MAC Binding ​

9 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getIpMacBindingGeneralSettingGETGet IP-MAC binding general setting
modifyIpMacBindingGeneralSettingPATCHModify IP-MAC binding general setting
getGridIpMacBindingGETGet IP-MAC binding list
createIpMacBindingPOSTCreate IP-MAC binding
deleteIpMacBindingDELETEDelete IP-MAC binding
modifyIpMacBindingPATCHModify IP-MAC binding
batchDeleteIpMacBindingsPOSTBatch delete IP-MAC bindings
checkIpMacBindingExportToDhcpReservationPOSTCheck IP-MAC binding export to DHCP reservation
importIpMacBindingListFromFilePOSTImport IP-MAC bindings from file

getIpMacBindingGeneralSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-bind

Get IP-MAC binding general setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getIpMacBindingGeneralSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get IP-MAC binding general setting.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
Site Device Manager View Only

modifyIpMacBindingGeneralSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-bind

Modify IP-MAC binding general setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema IPMacBindingGeneralSetting

FieldTypeRequiredDescription
enablebooleanyesEnable of the IP MAC binding general setting, If applied, fill in at least one of LAN and WAN.
lanIdsarray<string>noLANs of the IP MAC binding general setting. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
wanIdsarray<string>noWANs of the IP MAC binding general setting. WAN port ID can be obtained from 'Get internet basic info' interface.
imbPassbooleannoImbPass of the IP MAC binding general setting.
garpbooleannoGARP of the IP MAC binding general setting.
intervalintegernoInterval should be within the range of 1–10000.
json
// omada_call_operation
{
  "operationId": "modifyIpMacBindingGeneralSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify IP-MAC binding general setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify

getGridIpMacBinding ​

GET /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-binds

Get IP-MAC binding list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridIpMacBinding",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get IP-MAC binding list.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
Site Device Manager View Only

createIpMacBinding ​

POST /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-binds

Create IP-MAC binding

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema IPMacBinding

FieldTypeRequiredDescription
descriptionstringnoDescription should contain 1 to 64 characters.
macstringyesMAC of the IP MAC binding entity.
ipstringyesIP of the IP MAC binding entity.
statusbooleanyesStatus of the IP MAC binding entity.
interfaceTypeintegeryesInterface type should be a value as follows: 0: WAN; 1: LAN interface.
interfaceIdstringyesInterface ID. WAN port ID can be obtained from 'Get internet basic info' interface. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
exportToDhcpReservationbooleannoWhether to export to the DhcpReservation table. This subsection is deprecated.
supportExportbooleannoWhether could export to the DhcpReservation table. This subsection is deprecated.
enableExportToDhcpReservationbooleannoWhether to enable export to the DhcpReservation table.
json
// omada_call_operation
{
  "operationId": "createIpMacBinding",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create IP-MAC binding.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify

deleteIpMacBinding ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-binds/{bindId}

Delete IP-MAC binding

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
bindIdpathstringyesIP MAC binding ID
json
// omada_call_operation
{
  "operationId": "deleteIpMacBinding",
  "params": {
    "siteId": "<siteId>",
    "bindId": "<bindId>"
  }
}
Details, permissions and error codes

Delete IP-MAC binding.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify

modifyIpMacBinding ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-binds/{bindId}

Modify IP-MAC binding

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
bindIdpathstringyesIP MAC binding ID

Request body — application/json (required) — schema IPMacBinding

FieldTypeRequiredDescription
descriptionstringnoDescription should contain 1 to 64 characters.
macstringyesMAC of the IP MAC binding entity.
ipstringyesIP of the IP MAC binding entity.
statusbooleanyesStatus of the IP MAC binding entity.
interfaceTypeintegeryesInterface type should be a value as follows: 0: WAN; 1: LAN interface.
interfaceIdstringyesInterface ID. WAN port ID can be obtained from 'Get internet basic info' interface. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
exportToDhcpReservationbooleannoWhether to export to the DhcpReservation table. This subsection is deprecated.
supportExportbooleannoWhether could export to the DhcpReservation table. This subsection is deprecated.
enableExportToDhcpReservationbooleannoWhether to enable export to the DhcpReservation table.
json
// omada_call_operation
{
  "operationId": "modifyIpMacBinding",
  "params": {
    "siteId": "<siteId>",
    "bindId": "<bindId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify IP-MAC binding.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify

batchDeleteIpMacBindings ​

POST /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-binds/batch-delete

Batch delete IP-MAC bindings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema batchIds

FieldTypeRequiredDescription
idsarray<string>yesWhen selectType is set to all, the ids do not need to be passed and all entries are processed, when selectType is set to include, the id entries contained in the ids are processed, when selectType is set to exclude, the id entries that are not contained in the ids are processed
selectTypestringnoSelectType all, include or exclude
searchKeystringnoFuzzy query parameters, support field: voucher code
json
// omada_call_operation
{
  "operationId": "batchDeleteIpMacBindings",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch delete IP-MAC bindings.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify

checkIpMacBindingExportToDhcpReservation ​

POST /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-binds/check/dhcp-res

Check IP-MAC binding export to DHCP reservation

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema CheckIpMacBindingExportToDhcpReservationOpenApiVO

FieldTypeRequiredDescription
macstringyesMAC of the IP MAC binding entity.
ipstringyesIP of the IP MAC binding entity.
interfaceIdstringyesInterface ID. WAN port ID can be obtained from 'Get internet basic info' interface. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
imbIdstringnoIP-MAC binding entry ID.
json
// omada_call_operation
{
  "operationId": "checkIpMacBindingExportToDhcpReservation",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Check IP-MAC binding export to DHCP reservation.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify

importIpMacBindingListFromFile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-binds/import

Import IP-MAC bindings from file

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (optional)

FieldTypeRequiredDescription
filestring (binary)yes
json
// omada_call_operation
{
  "operationId": "importIpMacBindingListFromFile",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Import IP-MAC bindings from file.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.